
Foreman - Bug #1997

[puppet3] facter import fails with mysql error

12/05/2012 03:07 AM - Martin Wilke

Status: Resolved   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

I am running puppet 3 / theforman git version from 30th november. I was wondering why i dont see the factes import and looked

around and find this log..

Started POST "/fact_values/create" for xxxxxxxx at Wed Dec 05 16:01:05 +0800 2012

Processing by FactValuesController#create as

Parameters: {"facts"=>"[FILTERED]"}

Failed to import facts: Mysql2::Error: Column 'name' cannot be null: INSERT INTO `hosts` (`build`, `ptable_id`, `environment`,

`puppet_proxy_id`, `compute_resource_id`, `disk`, `root_pass`, `architecture_id`, `environment_id`, `organization_id`, `owner_type`,

`last_compile`, `created_at`, `sp_mac`, `hostgroup_id`, `sp_subnet_id`, `last_report`, `comment`, `image_file`, `puppet_status`,

`uuid`, `model_id`, `installed_at`, `puppet_ca_proxy_id`, `serial`, `sp_name`, `sp_ip`, `operatingsystem_id`, `managed`, `medium_id`,

`image_id`, `updated_at`, `owner_id`, `name`, `source_file_id`, `last_freshcheck`, `ip`, `enabled`, `use_image`, `certname`,

`location_id`, `domain_id`, `mac`, `subnet_id`) VALUES (0, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,

NULL, '2012-12-05 08:01:05', '', NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, '', '', NULL, NULL, NULL,

NULL, '2012-12-05 08:01:05', NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, '', NULL)

Rendered text template (0.0ms)

Completed 400 Bad Request in 15ms (Views: 0.7ms | ActiveRecord: 1.2ms)

History

#1 - 12/05/2012 08:50 AM - Dominic Cleal

- Category set to Facts

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#2 - 12/05/2012 01:58 PM - Dominic Cleal

Do both the client and the Foreman server have the same Puppet version, if not, which are they running?  Same goes for Ruby version.

#3 - 12/05/2012 11:46 PM - Martin Wilke

Hi,

puppet server and clients are 3.0.1.

puppet server/theforman runs under FreeBSD

Ruby version ruby-1.8.7.371,1

clients running under centos6:

Ruby version 1.8.7.352-7.el6_2

If i can provide more information please let me know.

#4 - 01/29/2013 12:57 AM - Martin Wilke

Ping ? this bug is still there.
#5 - 01/29/2013 03:02 AM - Ohad Levy

can you please provide a sample facts file (normally in your ~puppet/yaml/facts/fqdn.yaml)

I'm unable to reproduce locally.

thanks!

#6 - 01/29/2013 03:06 AM - Martin Wilke

sure here we go.

--- !ruby/object:Puppet::Node::Facts

expiration: 2013-01-29 16:35:36.572247 +08:00

name: "80-hk-db104"

values:

ipaddress_eth1: "192.168.0.104"

hardwareisa: x86_64

physicalprocessorcount: "4"

boardmanufacturer: "Dell Inc."

type: "Rack Mount Chassis"

osfamily: RedHat

netmask_eth1: "255.255.255.0"

rubyversion: "1.8.7"

uptime_hours: "4"

selinux_current_mode: permissive

mtu_eth2: "1500"

memorytotal: "62.90 GB"

interfaces: "eth0,eth1,eth2,eth3,lo"

processor48: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor7: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor45: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor39: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

kernelversion: "2.6.32"

processor79: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor4: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor42: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor36: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

operatingsystemrelease: "6.3"

processor76: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor1: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor27: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor33: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor73: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

ipaddress: "203.90.229.147"

processor67: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

network_lo: "127.0.0.0"

processor18: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor24: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor30: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

swapfree: "65.03 GB"

processor70: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor58: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor64: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

network_eth1: "192.168.0.0"

processor15: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor21: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

clientversion: "3.0.2"

processor55: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor61: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

macaddress_eth2: "78:2B:CB:55:6C:39"

productname: "PowerEdge R910"

processor12: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

mtu_lo: "16436"

operatingsystem: CentOS

processor52: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

is_virtual: "false"

ps: "ps ef"

memoryfree: "61.12 GB"

swapsize: "65.03 GB"

clientcert: "80-hk-db104"

boardproductname: "0JRJM9"

id: root

netmask: "255.255.255.0"

mtu_eth3: "1500"
kernelrelease: "2.6.32-279.19.1.el6.x86_64"

mtu_eth0: "1500"

selinux_config_policy: targeted

rubysitedir: /usr/lib/ruby/site_ruby/1.8

selinux: "true"

processor49: "Intel(R) Xeon(R) CPU E7 4850   2.00GHz"

processor8: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

memorysize: "62.90 GB"

boardserialnumber: "..CN1374018H001Y."

facterversion: "1.6.17"

processor46: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor5: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

sshdsakey:

"AAAAB3NzaC1kc3MAAACBAP8jWH6y+bSJqI1ROIgmb3inXSSDTTsczF15qh2oripuaoK3Q25qLiWS5uz7IJJVW4uAgSXlAe8gwzlzlt6ktDClSGtFGne

J0P3qt3kN7VgPEgUInrEaPuwxkovyh1+TbhKax/GIemfOzuQ8H6v+ZrtkEqGP0UYHYzVfRDGIP+1BAAAAFQCKl/HQ5ISK7OLNLeo3p7AVX/DUhwAA

AIAOOt4lgf2+7uAVIxUuXdzelD5CJwpK2TyF2GYkrNBwkIOgiyyfP8F497qCVf8UMH3kaksTbewrpjI1UReS0y/mFjLgjQ2CFs9Iw1wPNZ+e/w7JHTFCO

ExXHXIzwTQ2AwmQJxOgY1CSMeCDkeP/EawuFzWMD/L70g9z9/G/wsV8mwAAAIAKPHsAKF8fcf7l2h+fx6aL0nPJouhX0/PcCUIYv/UFJ2GHzElKaki

vC2NDdEkXzfN68MuFILosV83KA4DYr30yBCnScGcWXwPNJRUY+bFKOjCF4iNzo5kwFeDpwV4w3krKXicE2Bs4z8w9ZVYUP+pOek6KvUxzKIjh5nE

dk71WTA=="

processorcount: "80"

processor43: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor2: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor37: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor77: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor28: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor68: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor34: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor74: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor40: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor65: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor31: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor19: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor71: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor59: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor25: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

selinux_enforced: "false"

macaddress_eth3: "78:2B:CB:55:6C:3B"

uptime_seconds: "16500"

manufacturer: "Dell Inc."

processor16: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor56: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

!ruby/sym "_timestamp": 2013-01-29 16:05:36.937871 +08:00

selinux_config_mode: unknown

processor22: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

architecture: x86_64

processor62: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

macaddress_eth0: "78:2B:CB:55:6C:35"

hardwaremodel: x86_64

puppetversion: "3.0.2"

selinux_policyversion: "24"

processor13: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor53: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor10: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor50: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

timezone: CST

ipaddress_eth0: "203.90.229.147"

path: "/sbin:/usr/sbin:/bin:/usr/bin"

kernelmajversion: "2.6"

serialnumber: GJDVVBX

virtual: physical

uptime_days: "0"

netmask_eth0: "255.255.255.0"

uniqueid: a8c06800

mtu_eth1: "1500"

kernel: Linux

processor9: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

augeasversion: "0.9.0"

processor47: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor6: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

uptime: "4:35 hours"

processor78: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

netmask_lo: "255.0.0.0"

processor44: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

ipaddress_lo: "127.0.0.1"

processor3: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"
hostname: "80-hk-db104"

processor38: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor0: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor41: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor29: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor69: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor35: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

sshrsakey:

"AAAAB3NzaC1yc2EAAAABIwAAAQEAqSXF674aAvpnkcrLt9hyRMUoJ6s7t37tUyMVehmJEs/psLSRpwlm7sawTPX9f6ttocyCoGwsb7P1NORmZNjr8

XBJu9D7rF0+U/5B7IYK9oSKfAQC+rsTzekHXMcEffJSYHe/04x1Qn80coT77Q0YlsUO7znnP8cg1RKWIwJjM/WrIqXNraVugwGHlxolx0NeZtAxMqLpC

6KebDbs98Oyv6DgSvcGaOyUhClKDe91jH3jDcZSP09rXQQPSgocLZaZ3QVX+vEGRk+v2S2mPTH7nlBIYFx0Zglp6iXl1XMac/hMTH+0NPrHpDAhms

+bB/rG7wEl+1kWFpz4prgZNglcFQ=="

processor75: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor26: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor66: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor32: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor72: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

network_eth0: "203.90.229.0"

processor63: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor57: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor23: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor17: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor60: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor54: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor20: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

macaddress_eth1: "78:2B:CB:55:6C:37"

processor14: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

selinux_mode: targeted

processor51: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

processor11: "Intel(R) Xeon(R) CPU E7- 4850   2.00GHz"

macaddress: "78:2B:CB:55:6C:35"[

#7 - 01/29/2013 03:11 AM - Ohad Levy

thanks.. can you attach the file instead?

#8 - 01/29/2013 03:16 AM - Martin Wilke

- File 80-hk-db104.yaml added

here.

#9 - 01/30/2013 07:43 AM - Ohad Levy

- Status changed from Assigned to Resolved

You don't have the FQDN fact (your hostname is not configured correctly).

Foreman requires a working FQDN setup.

Files

80-hk-db104.yaml 7.87 KB 01/29/2013 Martin Wilke
